=== debian/changelog ===
flexml (1.8-1.1) unstable; urgency=low

  [ Jari Aalto ]
  * Non-maintainer upload.
  * debian/control
    - Update to debhelper 7.1.
  * debian/rules
    - Add target 'get-changelog'.
  * debian/source/format
    - New file; fix Lintian missing-debian-source-format.
  * debian/watch
    - New file; fix Lintian debian-watch-file-is-missing.
  * flexml.pl
    - Fix spelling error (Lintian).
  * ChangeLog
    - New file. Downloaded from development site.

  [ Jan Hauke Rahm ]
  * Updating the flexml Uploaders list (Closes: #521446)
  * Change doc-base section to "Programming"
  * Add examples directory
  * Add Homepage field
  * Slight modification of debian/copyright to be more precise
  * Switch to debhelper 7 and by that
    + acknowledge DEB_BUILD_OPTIONS
    + use doc-base trigger instead of generating debian/post*
  * As a consequence, bump standards-version to 3.8.4

 -- Jari Aalto <jari.aalto@cante.net>  Thu, 13 May 2010 16:17:39 +0300

flexml (1.8-1) unstable; urgency=low

  * Do not load unistd on windows platforms since this does not exist
  * Improve the error message when receiving an opening tag instead of
    the expected closing tag. This happens at least when the DTD
    enforces the tag order and this order is not followed.

 -- Martin Quinson <mquinson@debian.org>  Thu, 11 Oct 2007 11:55:58 +0200

flexml (1.7-1) unstable; urgency=low

  [William Dowling]
  * Change the static buffstack into two dynamically allocated stacks.
    This get rids of any stack size limitation;
    This also solves #1529930 (parsing mixed content fails on sparc/solaris,
    which were caused by misaligned pointers)
  * Fix #1538171: Only display the stacknames when they are defined (they
    are not in the prolog)
  * Fix a bufferstack memleak. This fixes both leaks of attributes and leaks
    of pcdata. People using large XML files shouldn't have to use insane
    buffsizes anymore.
  * Fix bug #1558023 'REQUIRED attributes not validated correctly'.
  * Add -i command-line param to #include given file in output .l.
  * Add a proper regression testing infrastructure and some test cases.

 -- Martin Quinson <mquinson@debian.org>  Sat, 16 Sep 2006 00:44:05 +0200

flexml (1.5.3-1) unstable; urgency=low

  * New option: --sysid to override the system id
  * Kill any non ascii char from the distrib. They were latin1, I use utf8
    so they annoyed me for not much benefit. I could have switched to utf8,
    but it would have annoyed other people, I'm sure.
  * Kill the EnlargeFlex.patch: was integrated into flex a few ages ago.

 -- Martin Quinson <mquinson@debian.org>  Tue, 18 Jul 2006 19:40:36 +0200

flexml (1.5.2-1) unstable; urgency=low

  * Bug fix: do find the skeleton file in installed distributions

 -- Martin Quinson <mquinson@debian.org>  Tue, 18 Jul 2006 14:06:50 +0200

flexml (1.5.1-1) unstable; urgency=low

  * Tests used to rely on wget to fetch a dtd. Include this in the tarball
    instead.

 -- Martin Quinson <mquinson@debian.org>  Thu, 13 Jul 2006 21:47:45 +0200

flexml (1.5-1) unstable; urgency=low

  [William Dowling]
  * Fix bug 1498401 "Parser loops on empty entity expansion" (l. 251);
  * Fix bug 1498407 "Cannot have ELEMENT with same name as ATTLIST" (ll. 674-5);
  * Fix bug 1498418 "ENTITY attribute type unimplemented." (ll. 842-51).

  [Martin Quinson]
  (upstream)
  * Switch to Getopt::Long (I hope I didn't break anything)
  * Add long version of each command line option
  * Allow to override the scanner, header, application names using an
    optionnal argument along to -S -H -A options.
  (debian package)
  * Switch to debhelper level 5 (at least try to, change seem to be ignored)
  * Run the test suite in the process of package building

 -- Martin Quinson <mquinson@debian.org>  Thu, 13 Jul 2006 20:27:50 +0200

flexml (1.4.1-1) unstable; urgency=low

  * More fixes to get several parsers in the same C code:
    - pass bufferstack to static too
    - prefix the pcdata variable (WARNING: go fix your code using it)
    This seems to be needed with gcc 4.x

 -- Martin Quinson <mquinson@debian.org>  Sat, 22 Apr 2006 01:29:23 +0200

flexml (1.4-1) unstable; urgency=low

  [Arnaud Legrand]
  * Add a -P option to enable multiple versions of flexml to live in the
    same C code.
  * Make flexml work with the current flex (2.5.33) that seem to dislike
    ]] in the comments. Bug against flex underway.

  [Martin Quinson]
  * Do test the version in the current dir, not the installed one.
  * Normalize the distributed archive name and content layout.

 -- Martin Quinson <mquinson@debian.org>  Tue, 21 Mar 2006 14:03:16 +0100

flexml (1.3-1) unstable; urgency=low

  [William Dowling]
  (infrastructure)
  * Enhance main makefile to allow versionned installs
  * Various cleanups to the makefiles
  * Get a working "make test" (some of the tests themselves are still to be
    fixed)
  (generated parsers)
  * Don't allocate the statenames array over and over (plug memleak)
  * Try not to exaust the stack when possible

  [Ulrik Petersen]
  * Fix statenames array on terminaison (plug memleak)

  [Martin Quinson]
  (flexml.pl script)
  * Get paranoid on file open()/close().
  (infrastructure)
  * Let FleXML.html be valid XHTML1.1 (so that it can be used in tests)
  * Install the paper as documentation
  (debian package)
  * Fix the doc-base file (Closes: #303220).

 -- Martin Quinson <mquinson@debian.org>  Wed,  6 Apr 2005 12:27:04 +0200

flexml (1.2-2) unstable; urgency=low

  * drop conflict on flex-old since oldies are harmless here.

 -- Martin Quinson <mquinson@debian.org>  Wed, 23 Feb 2005 22:04:14 +0100

flexml (1.2-1) unstable; urgency=low

  [Martin Quinson]
  * Add a \n after the error messages when not using quiet_parsers
  * Clarify the licence of the produced parsers. Thanks to Ulrik Petersen
    for proposing the patch, and to Kristoffer H Rose for forwarding it.

  [Arnaud Legrand]
  * Add a -b option to modify the default FLEXML_BUFFERSTACKSIZE.

