=== debian/control ===
Source: flexml
Section: devel
Priority: optional
Maintainer: Martin Quinson <mquinson@debian.org>
Build-Depends: libwww-perl, debhelper (>= 7.1),  liburi-perl,
 libdate-calc-perl, flex
Standards-Version: 3.8.4
Homepage: http://flexml.sourceforge.net/

Package: flexml
Architecture: any
Depends: ${shlibs:Depends}, libwww-perl, liburi-perl, libdate-calc-perl,
 ${misc:Depends}
Recommends: flex
Description: generate fast validating XML processors and applications
 FleXML makes it easy to generate very fast validating XML processors
 as flex(1) source.
 .
 By design it can only handle documents using an external DTD.
