=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Run this rule manually when new upstream release is available
get-changelog:
	lynx -dump http://sourceforge.net/news/?group_id=34654 > ChangeLog

%:
	dh $@
