## flexml 1.9.2

=== Makefile ===
--- 
+++ 
@@ -18,7 +18,7 @@
 # with this program; if not, write to the Free Software Foundation, Inc., 59
 # Temple Place, Suite 330, Boston, MA 02111-1307 USA.
 
-# $Id: Makefile,v 1.44 2006/09/29 19:00:17 wdowling Exp $
+# $Id: Makefile,v 1.45 2011/10/30 19:26:34 mquinson Exp $
 
 # SUFF (defined in Makefile.defs) is the versioning suffix added to binaries and
 # resource files. To get rid of it (and do a non-versioned install,
@@ -34,7 +34,7 @@
 LIBS  =	$(FLEXML_ACT)
 DATA  =	skel
 MANS  =	flexml.1
-DOCS  =	README NOTES TODO flexml-act.dtd
+DOCS  =	README ChangeLog NEWS NOTES TODO flexml-act.dtd
 HTMLS =	FleXML.html paper.html
 
 SRC =	$(STUFF) $(DATA) $(DOCS) $(HTMLS)
