=== debian/changelog ===
flexml (1.9.2-1) unstable; urgency=low

  * New upstream release:
    - Declare *_isset variables properly, even when they are in a header
      [Thx Arnaug Giersch for the BR and patch] Closes: #647605)
  * debian/control: 
    - add VCS fields, and improve short description
    - update Standard-Version to 3.9.2 (no change needed)

 -- Martin Quinson <mquinson@debian.org>  Fri, 04 Nov 2011 14:56:17 +0100

flexml (1.9.1-1) unstable; urgency=low

  * New upstream release:
    - include small changes from the debian package
    - Add a NEWS and a ChangeLog file

 -- Martin Quinson <mquinson@debian.org>  Sun, 30 Oct 2011 22:12:15 +0100

flexml (1.9-1) unstable; urgency=low

  * New upstream release:
    - be more defensive against multiply defined attributes

 -- Martin Quinson <mquinson@debian.org>  Sun, 30 Oct 2011 18:47:09 +0100
