=== debian/control ===
Source: flexml
Section: devel
Priority: optional
Maintainer: Martin Quinson <mquinson@debian.org>
Build-Depends: libwww-perl, debhelper (>= 7.1),  liburi-perl,
 libdate-calc-perl, flex
Standards-Version: 3.9.2
Homepage: http://flexml.sourceforge.net/
Vcs-Git: git://git.debian.org/git/collab-maint/flexml.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/flexml.git

Package: flexml
Architecture: any
Depends: ${shlibs:Depends}, libwww-perl, liburi-perl, libdate-calc-perl,
 ${misc:Depends}
Recommends: flex
Description: Fast validating XML processors and applications generator
 FleXML makes it easy to generate very fast validating XML processors
 as flex(1) source.
 .
 By design it can only handle documents using an external DTD.
