## flexml 1.9.6

=== Makefile ===
--- 
+++ 
@@ -18,7 +18,7 @@
 # with this program; if not, write to the Free Software Foundation, Inc., 59
 # Temple Place, Suite 330, Boston, MA 02111-1307 USA.
 
-# $Id: Makefile,v 1.45 2011/10/30 19:26:34 mquinson Exp $
+# $Id: Makefile,v 1.47 2013/01/29 14:35:24 mquinson Exp $
 
 # SUFF (defined in Makefile.defs) is the versioning suffix added to binaries and
 # resource files. To get rid of it (and do a non-versioned install,
@@ -29,7 +29,7 @@
 
 include Makefile.defs
 
-STUFF =	GPL Makefile Makefile.defs flexml.pl FleXML.html
+STUFF =	GPL Makefile Makefile.defs flexml.pl
 BINS  =	$(FLEXML)
 LIBS  =	$(FLEXML_ACT)
 DATA  =	skel
@@ -90,6 +90,7 @@
 
 $(FLEXML):		flexml.pl
 	sed \
+	    -e "s;FLEXMLVERSION;$(VER);g" \
 	    -e "s;[.][/]flexml-act;$(ACT);g" \
 	    -e "s;[.][/]skel;$(SKEL);g" \
 	    -e "s;/var/tmp;$(TMPDIR);g" \
