=== examples/Makefile ===
--- 
+++ 
@@ -44,8 +44,8 @@
 all:		$(ALL)
 
 install:	$(ALL)
-	mkdir -p $(DESTDIR)$(DOCDIR)/flexml/examples
-	$(INSTALL) -m444 $(SAMPS) $(DESTDIR)$(DOCDIR)/flexml/examples/
+	mkdir -p $(DESTDIR)$(DOCDIR)/examples
+	$(INSTALL) -m444 $(SAMPS) $(DESTDIR)$(DOCDIR)/examples/
 
 dist:		clean
 	#rsync -v FleXML.html $(WEBHOME)/FleXML.html
