=== testbed/Makefile ===
--- 
+++ 
@@ -43,6 +43,7 @@
 	biparser \
 	init_header \
 	missing-att \
+	multiple-att \
 	mixed-enumatt \
 	mixed-enumatt2 \
 	mixed-stratt \
@@ -58,6 +59,7 @@
 	test_biparser \
 	test_init_header \
 	test_missing-att \
+	test_multiple-att \
 	test_mixed-enumatt \
 	test_mixed-enumatt2 \
 	test_mixed-stratt \
@@ -74,6 +76,10 @@
 # Test missing REQUIRED attribute
 test_missing-att_cmd  = ./missing-att < missing-att.in
 test_missing-att_deps = missing-att missing-att.in
+
+# Test multiply defined attribute
+test_multiple-att_cmd  = ./multiple-att < multiple-att.in
+test_multiple-att_deps = multiple-att multiple-att.in
 
 # Test mixed1
 test_mixed1_cmd  = ./mixed1 < mixed1.in
