=== debian/changelog ===
flexml (1.9.6-6) unstable; urgency=medium

  * Team upload

  [ Jelmer Vernooĳ ]
  * Migrate repository from alioth to salsa.

  [ Andreas Tille ]
  * Secure URI in watch file
  * d/copyright: DEP5
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * debian/docs: Removed since installed by upstream Makefile anyway
  * Permit failure of blhc in Salsa CI

  [ Arnaud Giersch ]
  * Fix spurious semicolon in generated file
    Closes: #981730

  [ Lucas Nussbaum ]
  * Fix FTBFS with GNUMAKEFLAGS=--shuffle=reverse
    Closes: #1104757, #1105348

 -- Andreas Tille <tille@debian.org>  Sat, 26 Jul 2025 16:06:21 +0200

flexml (1.9.6-5) unstable; urgency=medium

  * Do not produce code with sprintf (security vulnerability).
  * d/ctrl: Update the standard-version to 3.9.8 (no change needed)

 -- Martin Quinson <mquinson@debian.org>  Wed, 01 Jun 2016 11:36:26 +0200

flexml (1.9.6-4) unstable; urgency=medium

  * Rework how the output is sorted, so that it still compiles SimGrid.
  * d/p/FTBFS-pedantic: remove -ansi -pedantic flag as Flex parsers
    don't compile with these flags on modern compilers (Closes: #813462).

 -- Martin Quinson <mquinson@debian.org>  Mon, 08 Feb 2016 17:16:45 +0100

flexml (1.9.6-3) unstable; urgency=medium

  * Produce reproducible files by explicitly sorting the elements.
    This greatly reduces the diffs' size when regenerating the files.
  * d/control: Update Standards-Version to 3.9.6 (no change needed).

 -- Martin Quinson <mquinson@debian.org>  Mon, 26 Jan 2015 15:20:17 +0100

flexml (1.9.6-2) unstable; urgency=medium

  * d/ctrl: Update the standard-version to 3.9.6 (no change needed)
  * d/p/privacy_breach: don't fetch any logo dynamically from SF as it
    may be seen (e.g., by Lintian) as a privacy breach.

 -- Martin Quinson <mquinson@debian.org>  Thu, 20 Nov 2014 08:47:44 +0100

flexml (1.9.6-1) unstable; urgency=low

  * New upstream release:
    Don't install any file under /usr/share/doc/flexml/flexml/*
    Thanks lintian for noticing, and sorry for the short lived v1.9.5.

 -- Martin Quinson <mquinson@debian.org>  Tue, 29 Jan 2013 16:12:03 +0100

flexml (1.9.5-1) UNRELEASED; urgency=low

  * New upstream release.
    - flexml --version now returns the package version (instead of the
      file release in upstream RCS).
  * debian/control: Use canonical values in fields VCS (thanks lintian)

 -- Martin Quinson <mquinson@debian.org>  Tue, 29 Jan 2013 15:37:08 +0100

flexml (1.9.4-2) unstable; urgency=low

  * Update Standards-Version to 3.9.4 (no change)
  * Switch to debhelper compatibility level 9
    This brings neat hardening features that lintian were asking for

 -- Martin Quinson <mquinson@debian.org>  Thu, 27 Dec 2012 21:21:37 +0100

flexml (1.9.4-1) unstable; urgency=low

  * New upstream release:
    - avoid ambiguous C identifiers even if XML names contain
      underscores [Thx Arnaud Giersch for report and patch]

 -- Martin Quinson <mquinson@debian.org>  Thu, 20 Dec 2012 01:26:05 +0100

flexml (1.9.3-1) unstable; urgency=low

  * New upstream release:
    - Avoid undefined behaviors breaking clang's optimizations
      [Thx Arnaud Giersch for the BR and patch] (Closes: #674524)

 -- Martin Quinson <mquinson@debian.org>  Thu, 05 Jul 2012 16:36:02 +0200
