=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: devel
 Priority: optional
 Maintainer: Martin Quinson <mquinson@debian.org>
-Build-Depends: libwww-perl, debhelper (>= 7.1),  liburi-perl,
+Build-Depends: libwww-perl, debhelper-compat (= 13),  liburi-perl,
  libdate-calc-perl, flex
-Standards-Version: 3.9.2
+Standards-Version: 4.7.2
 Homepage: http://flexml.sourceforge.net/
-Vcs-Git: git://git.debian.org/git/collab-maint/flexml.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/flexml.git
+Vcs-Git: https://salsa.debian.org/debian/flexml.git
+Vcs-Browser: https://salsa.debian.org/debian/flexml
 
 Package: flexml
 Architecture: any
