=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_installexamples:
	# Upstream Makefile installs a couple of examples without write permissions.
	# Just make dh_installexamples work
	chmod u+w debian/flexml/usr/share/doc/flexml/examples/*
	dh_installexamples
