=== debian/watch ===
version=4
https://sf.net/flexml/flexml-(.+)\.tar\.gz
